| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Namespaces | Variables
is_a.hpp File Reference

Forward declares `boost::hana::is_a` and `boost::hana::is_an`. More...

## Namespaces
| boost::hana
| Namespace containing everything in the library.

## Variables
template<typename Tag , typename optional_T >
constexpr auto | boost::hana::is_a = see-documentation
| Returns whether the tag of an object matches a given tag. More...
template<typename Tag , typename ... T>
constexpr auto | boost::hana::is_an = is_a<Tag, T...>
| Equivalent to `is_a`; provided for consistency with the rules of the English language.

## Detailed Description

Forward declares `boost::hana::is_a` and `boost::hana::is_an`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)